Bug 75332 - logrotate port to Solaris(8)
Summary: logrotate port to Solaris(8)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: logrotate (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: sparc Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-07 11:46 UTC by matti aarnio
Modified: 2015-01-08 00:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-23 19:14:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for uninitialized variable in logrotate.c, port to Solaris 8. (10.56 KB, patch)
2002-10-07 12:21 UTC, matti aarnio
no flags Details | Diff
Pure port to Solaris8, corrected asprintf() reimplementation. (10.18 KB, patch)
2002-10-07 12:41 UTC, matti aarnio
no flags Details | Diff

Description matti aarnio 2002-10-07 11:46:35 UTC
Description of Problem:
   The logrotate  behaves erratically, and can crash.


Version-Release number of selected component (if applicable):
   Rawhide source 3.6.5, ported to Solaris 8.

How Reproducible:
   Highly configuration dependent


Additional Information:
   Will attach a patch for this.

Comment 1 matti aarnio 2002-10-07 12:21:21 UTC
Created attachment 79184 [details]
fix for uninitialized variable in  logrotate.c, port to Solaris 8.

Comment 2 matti aarnio 2002-10-07 12:34:44 UTC
Attached patch is port to Solaris 8.

As Solaris 8 does not contain  asprintf() and friends, a reimplementation of
them as been necessary, but that implementation has gotten it slightly wrong,
thus it does not like to receive uninitialized target variable..

The fix is trivialish; the first realloc() must be changed to malloc() at
vasprintf.c  file.  This implementation is usable only at this application, it
isn't generic fool-proof thing.

Comment 3 matti aarnio 2002-10-07 12:41:39 UTC
Created attachment 79185 [details]
Pure port to Solaris8, corrected  asprintf() reimplementation.

Comment 4 Elliot Lee 2002-12-10 19:35:34 UTC
Hmm, seems like there is a Solaris port of sorts already in CVS, I think I will release 3.6.6 
without these changes and have you send any needed patches against that.


Note You need to log in before you can comment on or make changes to this bug.